GPAC 缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1668821 漏洞类型 缓冲区错误
发布时间 2019-07-16 更新时间 2019-07-18
CVE编号 CVE-2019-13618 CNNVD-ID CNNVD-201907-797
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201907-797
|漏洞详情
GPAC是一款开源的多媒体框架。 GPAC 0.8.0之前版本中的libgpac.a静态链接库的isomedia/isom_read.c文件存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
|参考资料

来源:github.com

链接:https://github.com/gpac/gpac/issues/1250


来源:github.com

链接:https://github.com/gpac/gpac/compare/440d475...6b4ab40


来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-13618